## cwl-upgrader 1.2.2

=== Makefile ===
# This file is part of cwl-upgrader
# https://github.com/common-workflow-language/cwl-upgrader/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make format to fix most python formatting errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=cwl-upgrader
PACKAGE=cwlupgrader
EXTRAS=

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard cwlupgrader/**.py tests/*.py) setup.py
DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox tox-pyenv \
	isort wheel autoflake flake8-bugbear pyupgrade bandit \
	-rtest-requirements.txt -rmypy-requirements.txt
DEBDEVPKGS=pylint python3-coverage sloccount \
	   python3-flake8 shellcheck
VERSION=1.2.2  # please also update setup.py

## all         : default task
all: dev

## help        : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## install-dep : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies: FORCE
	pip install --upgrade $(DEVPKGS)
	pip install -r requirements.txt -r mypy-requirements.txt

## install     : install the ${MODULE} module and script(s)
install: FORCE
	pip install .$(EXTRAS)

## dev     : install the ${MODULE} module in dev mode
dev: install-dep
	pip install -e .$(EXTRAS)

## dist        : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
	python setup.py sdist bdist_wheel

## clean       : clean up all temporary / machine-generated files
clean: FORCE
	rm -f ${MODILE}/*.pyc tests/*.pyc
	python setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

# Linting and code style related targets
## sorting imports using isort: https://github.com/timothycrosley/isort
sort_imports: $(PYSOURCES)
	isort $^ typeshed

remove_unused_imports: $(PYSOURCES)
	autoflake --in-place --remove-all-unused-imports $^

pep257: pydocstyle
## pydocstyle      : check Python code style
pydocstyle: $(PYSOURCES)
	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true

pydocstyle_report.txt: $(PYSOURCES)
	pydocstyle setup.py $^ > $@ 2>&1 || true

diff_pydocstyle_report: pydocstyle_report.txt
	diff-quality --compare-branch=main --violations=pycodestyle --fail-under=100 $^

## format      : check/fix all code indentation and formatting (runs black)
format:
	black setup.py cwlupgrader tests

format-check:
	black --diff --check cwlupgrader setup.py typeshed

## pylint      : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ -j0|| true

pylint_report.txt: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ -j0> $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --compare-branch main --violations=pylint pylint_report.txt

.coverage: testcov

coverage: .coverage
	coverage report

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover --compare-branch main $^

diff-cover.html: coverage.xml
	diff-cover --compare-branch main $^ --html-report $@

## test        : run the ${MODULE} test suite
test: $(PYSOURCES)
	python setup.py test

## testcov     : run the ${MODULE} test suite and collect coverage
testcov: $(PYSOURCES)
	python setup.py test --addopts "--cov" ${PYTEST_EXTRA}

sloccount.sc: $(PYSOURCES) Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount   : count lines of code
sloccount: $(PYSOURCES) Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy3: mypy
mypy: $(PYSOURCES)
	if ! test -f $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
	then \
		rm -Rf typeshed/ruamel/yaml ; \
		ln -s $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
			typeshed/ruamel/ ; \
	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
	MYPYPATH=$$MYPYPATH:typeshed mypy $^

pyupgrade: $(PYSOURCES)
	pyupgrade --exit-zero-even-if-changed --py36-plus $^

release-test: FORCE
	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
	./release-test.sh

release: release-test
	. testenv2/bin/activate && \
		python testenv2/src/${MODULE}/setup.py sdist bdist_wheel && \
		pip install twine && \
		twine upload testenv2/src/${MODULE}/dist/* && \
		git tag v${VERSION} && git push --tags

flake8: $(PYSOURCES)
	flake8 $^

FORCE:

# Use this to print the value of a Makefile variable
# Example `make print-VERSION`
# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
print-%  : ; @echo $* = $($*)

=== requirements.txt ===
ruamel.yaml >= 0.14.12, < 0.17.18
schema-salad

=== debian/changelog ===
cwl-upgrader (1.2.2-1) unstable; urgency=low

  * initial packaging release;
    closes: bug#1003961

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jan 2022 18:17:44 +0100

=== debian/control ===
Source: cwl-upgrader
Section: science
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-pytest (>= 5.4) <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-ruamel.yaml,
 python3-schema-salad,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/common-workflow-language/cwl-upgrader
Vcs-Git: https://salsa.debian.org/debian/cwl-upgrader.git
Vcs-Browser: https://salsa.debian.org/debian/cwl-upgrader
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: cwl-upgrader
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 cwltool,
Description: Common Workflow Language standalone document upgrader
 cwl-upgrader is a standalone upgrader
 for Common Workflow Language documents
 from draft-3, v1.0, and v1.1 to v1.2.
 .
 It does not check for correctness of the input document,
 for that one can use the CWL reference implementation
 available for Debian in package cwltool.
 .
 The Common Workflow Language (CWL) is a standard
 for describing computational data-analysis workflows,
 aiming to allow the creation of a workflow
 that is portable and thus may be run reproducibly
 in different computational environments.

## cwl-upgrader 1.2.3

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	-rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pylint python3-coverage sloccount \
 	   python3-flake8 shellcheck
-VERSION=1.2.2  # please also update setup.py
+VERSION=1.2.3  # please also update setup.py
 
 ## all         : default task
 all: dev
@@ -72,7 +72,7 @@
 # Linting and code style related targets
 ## sorting imports using isort: https://github.com/timothycrosley/isort
 sort_imports: $(PYSOURCES)
-	isort $^ typeshed
+	isort $^
 
 remove_unused_imports: $(PYSOURCES)
 	autoflake --in-place --remove-all-unused-imports $^
@@ -93,7 +93,7 @@
 	black setup.py cwlupgrader tests
 
 format-check:
-	black --diff --check cwlupgrader setup.py typeshed
+	black --diff --check cwlupgrader setup.py
 
 ## pylint      : run static code analysis on Python code
 pylint: $(PYSOURCES)
@@ -153,11 +153,11 @@
 mypy: $(PYSOURCES)
 	if ! test -f $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
 	then \
-		rm -Rf typeshed/ruamel/yaml ; \
+		rm -Rf mypy-stubs/ruamel/yaml ; \
 		ln -s $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
-			typeshed/ruamel/ ; \
+			mypy-stubs/ruamel/ ; \
 	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
-	MYPYPATH=$$MYPYPATH:typeshed mypy $^
+	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
 
 pyupgrade: $(PYSOURCES)
 	pyupgrade --exit-zero-even-if-changed --py36-plus $^

=== debian/changelog ===
cwl-upgrader (1.2.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Jul 2022 10:59:58 +0200

cwl-upgrader (1.2.2-2) unstable; urgency=medium

  * add autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Feb 2022 14:54:10 +0100

## cwl-upgrader 1.2.4

=== Makefile ===
--- 
+++ 
@@ -32,37 +32,40 @@
 	-rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pylint python3-coverage sloccount \
 	   python3-flake8 shellcheck
-VERSION=1.2.3  # please also update setup.py
+VERSION=1.2.4  # please also update setup.py
 
-## all         : default task
+## all                    : default task (install cwl-upgrader in dev mode)
 all: dev
 
-## help        : print this help message and exit
+## help                   : print this help message and exit
 help: Makefile
 	@sed -n 's/^##//p' $<
 
-## install-dep : install most of the development dependencies via pip
+## cleanup                : shortcut for "make sort_imports format flake8 diff_pydocstyle_report"
+cleanup: sort_imports format flake8 diff_pydocstyle_report
+
+## install-dep            : install most of the development dependencies via pip
 install-dep: install-dependencies
 
 install-dependencies: FORCE
 	pip install --upgrade $(DEVPKGS)
 	pip install -r requirements.txt -r mypy-requirements.txt
 
-## install     : install the ${MODULE} module and script(s)
+## install                : install the cwlupgrader package and scripts
 install: FORCE
 	pip install .$(EXTRAS)
 
-## dev     : install the ${MODULE} module in dev mode
+## dev                    : install the cwlupgrader package in dev mode
 dev: install-dep
 	pip install -e .$(EXTRAS)
 
-## dist        : create a module package for distribution
+## dist                   : create a module package for distribution
 dist: dist/${MODULE}-$(VERSION).tar.gz
 
 dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
 	python setup.py sdist bdist_wheel
 
-## clean       : clean up all temporary / machine-generated files
+## clean                  : clean up all temporary / machine-generated files
 clean: FORCE
 	rm -f ${MODILE}/*.pyc tests/*.pyc
 	python setup.py clean --all || true
@@ -70,7 +73,7 @@
 	rm -f diff-cover.html
 
 # Linting and code style related targets
-## sorting imports using isort: https://github.com/timothycrosley/isort
+## sort_import            : sorting imports using isort: https://github.com/timothycrosley/isort
 sort_imports: $(PYSOURCES)
 	isort $^
 
@@ -78,24 +81,29 @@
 	autoflake --in-place --remove-all-unused-imports $^
 
 pep257: pydocstyle
-## pydocstyle      : check Python code style
+## pydocstyle             : check Python docstring style
 pydocstyle: $(PYSOURCES)
 	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true
 
 pydocstyle_report.txt: $(PYSOURCES)
 	pydocstyle setup.py $^ > $@ 2>&1 || true
 
+## diff_pydocstyle_report : check Python docstring style for changed files only
 diff_pydocstyle_report: pydocstyle_report.txt
-	diff-quality --compare-branch=main --violations=pycodestyle --fail-under=100 $^
+	diff-quality --compare-branch=main --violations=pydocstyle --fail-under=100 $^
 
-## format      : check/fix all code indentation and formatting (runs black)
+## codespell              : check for common misspellings
+codespell:
+	codespell -w $(shell git ls-files | grep -v mypy-stubs | grep -v gitignore | grep -v EDAM.owl | grep -v pre.yml | grep -v test_schema)
+
+## format                 : check/fix all code indentation and formatting (runs black)
 format:
 	black setup.py cwlupgrader tests
 
 format-check:
 	black --diff --check cwlupgrader setup.py
 
-## pylint      : run static code analysis on Python code
+## pylint                 : run static code analysis on Python code
 pylint: $(PYSOURCES)
 	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                 $^ -j0|| true
@@ -105,7 +113,7 @@
 		$^ -j0> $@ || true
 
 diff_pylint_report: pylint_report.txt
-	diff-quality --compare-branch main --violations=pylint pylint_report.txt
+	diff-quality --compare-branch=main --violations=pylint pylint_report.txt
 
 .coverage: testcov
 
@@ -125,23 +133,23 @@
 	coverage report
 
 diff-cover: coverage.xml
-	diff-cover --compare-branch main $^
+	diff-cover --compare-branch=main $^
 
 diff-cover.html: coverage.xml
 	diff-cover --compare-branch main $^ --html-report $@
 
-## test        : run the ${MODULE} test suite
+## test                   : run the cwlupgrader test suite
 test: $(PYSOURCES)
-	python setup.py test
+	python -m pytest -rs
 
-## testcov     : run the ${MODULE} test suite and collect coverage
+## testcov                : run the cwlupgrader test suite and collect coverage
 testcov: $(PYSOURCES)
 	python setup.py test --addopts "--cov" ${PYTEST_EXTRA}
 
 sloccount.sc: $(PYSOURCES) Makefile
 	sloccount --duplicates --wide --details $^ > $@
 
-## sloccount   : count lines of code
+## sloccount              : count lines of code
 sloccount: $(PYSOURCES) Makefile
 	sloccount $^
 
@@ -163,7 +171,7 @@
 	pyupgrade --exit-zero-even-if-changed --py36-plus $^
 
 release-test: FORCE
-	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
+	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )
 	./release-test.sh
 
 release: release-test

=== requirements.txt ===
ruamel.yaml >= 0.16.0, < 0.17.22;python_version>='3.10'
ruamel.yaml >= 0.15.98, < 0.17.22;python_version>='3.9'
ruamel.yaml >= 0.15.78, < 0.17.22;python_version>='3.8'
ruamel.yaml >= 0.15.71, < 0.17.22
schema-salad

=== debian/changelog ===
cwl-upgrader (1.2.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Sep 2022 14:33:21 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-ruamel.yaml,
  python3-schema-salad,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/common-workflow-language/cwl-upgrader
 Vcs-Git: https://salsa.debian.org/debian/cwl-upgrader.git
 Vcs-Browser: https://salsa.debian.org/debian/cwl-upgrader

## cwl-upgrader 1.2.8

=== Makefile ===
--- 
+++ 
@@ -28,11 +28,11 @@
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard cwlupgrader/**.py tests/*.py) setup.py
 DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox tox-pyenv \
-	isort wheel autoflake flake8-bugbear pyupgrade bandit \
+	isort wheel autoflake flake8-bugbear pyupgrade bandit build\
 	-rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pylint python3-coverage sloccount \
 	   python3-flake8 shellcheck
-VERSION=1.2.4  # please also update setup.py
+VERSION=1.2.8  # please also update setup.py
 
 ## all                    : default task (install cwl-upgrader in dev mode)
 all: dev
@@ -57,13 +57,14 @@
 
 ## dev                    : install the cwlupgrader package in dev mode
 dev: install-dep
+	pip install -U pip setuptools wheel
 	pip install -e .$(EXTRAS)
 
 ## dist                   : create a module package for distribution
 dist: dist/${MODULE}-$(VERSION).tar.gz
 
 dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
-	python setup.py sdist bdist_wheel
+	python -m build
 
 ## clean                  : clean up all temporary / machine-generated files
 clean: FORCE
@@ -74,7 +75,7 @@
 
 # Linting and code style related targets
 ## sort_import            : sorting imports using isort: https://github.com/timothycrosley/isort
-sort_imports: $(PYSOURCES)
+sort_imports: $(PYSOURCES) mypy-stubs
 	isort $^
 
 remove_unused_imports: $(PYSOURCES)
@@ -98,10 +99,10 @@
 
 ## format                 : check/fix all code indentation and formatting (runs black)
 format:
-	black setup.py cwlupgrader tests
+	black setup.py cwlupgrader tests mypy-stubs
 
 format-check:
-	black --diff --check cwlupgrader setup.py
+	black --diff --check cwlupgrader setup.py mypy-stubs
 
 ## pylint                 : run static code analysis on Python code
 pylint: $(PYSOURCES)
@@ -136,11 +137,11 @@
 	diff-cover --compare-branch=main $^
 
 diff-cover.html: coverage.xml
-	diff-cover --compare-branch main $^ --html-report $@
+	diff-cover --compare-branch=main $^ --html-report $@
 
 ## test                   : run the cwlupgrader test suite
 test: $(PYSOURCES)
-	python -m pytest -rs
+	python -m pytest -rs ${PYTEST_EXTRA}
 
 ## testcov                : run the cwlupgrader test suite and collect coverage
 testcov: $(PYSOURCES)
@@ -167,6 +168,12 @@
 	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
 
+mypy_3.6: $(filter-out setup.py,$(PYSOURCES))
+	MYPYPATH=$$MYPYPATH:mypy-stubs mypy --python-version 3.6 $^
+
+shellcheck: FORCE
+	shellcheck conformance-test.sh release-test.sh
+
 pyupgrade: $(PYSOURCES)
 	pyupgrade --exit-zero-even-if-changed --py36-plus $^
 
@@ -181,8 +188,8 @@
 		twine upload testenv2/src/${MODULE}/dist/* && \
 		git tag v${VERSION} && git push --tags
 
-flake8: $(PYSOURCES)
-	flake8 $^
+flake8: FORCE
+	flake8 $(PYSOURCES)
 
 FORCE:

=== debian/changelog ===
cwl-upgrader (1.2.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jun 2023 15:40:47 +0200

## cwl-upgrader 1.2.9

=== Makefile ===
--- 
+++ 
@@ -28,11 +28,11 @@
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard cwlupgrader/**.py tests/*.py) setup.py
 DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox tox-pyenv \
-	isort wheel autoflake flake8-bugbear pyupgrade bandit build\
-	-rtest-requirements.txt -rmypy-requirements.txt
+	isort wheel autoflake flake8-bugbear pyupgrade bandit build \
+	auto-walrus -rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pylint python3-coverage sloccount \
 	   python3-flake8 shellcheck
-VERSION=1.2.8  # please also update setup.py
+VERSION=1.2.9  # please also update setup.py
 
 ## all                    : default task (install cwl-upgrader in dev mode)
 all: dev
@@ -160,22 +160,14 @@
 
 mypy3: mypy
 mypy: $(PYSOURCES)
-	if ! test -f $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
-	then \
-		rm -Rf mypy-stubs/ruamel/yaml ; \
-		ln -s $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
-			mypy-stubs/ruamel/ ; \
-	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
-
-mypy_3.6: $(filter-out setup.py,$(PYSOURCES))
-	MYPYPATH=$$MYPYPATH:mypy-stubs mypy --python-version 3.6 $^
 
 shellcheck: FORCE
 	shellcheck conformance-test.sh release-test.sh
 
 pyupgrade: $(PYSOURCES)
-	pyupgrade --exit-zero-even-if-changed --py36-plus $^
+	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	auto-walrus $^
 
 release-test: FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )

=== requirements.txt ===
ruamel.yaml >= 0.16.0, < 0.18;python_version>='3.10'
ruamel.yaml >= 0.15.98, < 0.18;python_version>='3.9'
ruamel.yaml >= 0.15.78, < 0.18;python_version>='3.8'
ruamel.yaml >= 0.15.71, < 0.18
schema-salad

=== debian/changelog ===
cwl-upgrader (1.2.9-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Oct 2023 21:18:24 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-ruamel.yaml,
  python3-schema-salad,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/common-workflow-language/cwl-upgrader
 Vcs-Git: https://salsa.debian.org/debian/cwl-upgrader.git
 Vcs-Browser: https://salsa.debian.org/debian/cwl-upgrader

## cwl-upgrader 1.2.11

=== Makefile ===
--- 
+++ 
@@ -26,13 +26,13 @@
 
 # `SHELL=bash` doesn't work for some, so don't use BASH-isms like
 # `[[` conditional expressions.
-PYSOURCES=$(wildcard cwlupgrader/**.py tests/*.py) setup.py
-DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox tox-pyenv \
+PYSOURCES=$(wildcard cwlupgrader/**.py tests/*.py)
+DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox virtualenv-pyenv \
 	isort wheel autoflake flake8-bugbear pyupgrade bandit build \
 	auto-walrus -rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pylint python3-coverage sloccount \
 	   python3-flake8 shellcheck
-VERSION=1.2.9  # please also update setup.py
+VERSION=$(shell grep __version__ cwlupgrader/__init__.py  | awk -F\" '{ print $$2 }')
 
 ## all                    : default task (install cwl-upgrader in dev mode)
 all: dev
@@ -69,7 +69,6 @@
 ## clean                  : clean up all temporary / machine-generated files
 clean: FORCE
 	rm -f ${MODILE}/*.pyc tests/*.pyc
-	python setup.py clean --all || true
 	rm -Rf .coverage
 	rm -f diff-cover.html
 
@@ -87,7 +86,7 @@
 	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true
 
 pydocstyle_report.txt: $(PYSOURCES)
-	pydocstyle setup.py $^ > $@ 2>&1 || true
+	pydocstyle $^ > $@ 2>&1 || true
 
 ## diff_pydocstyle_report : check Python docstring style for changed files only
 diff_pydocstyle_report: pydocstyle_report.txt
@@ -99,10 +98,10 @@
 
 ## format                 : check/fix all code indentation and formatting (runs black)
 format:
-	black setup.py cwlupgrader tests mypy-stubs
+	black cwlupgrader tests mypy-stubs
 
 format-check:
-	black --diff --check cwlupgrader setup.py mypy-stubs
+	black --diff --check cwlupgrader mypy-stubs
 
 ## pylint                 : run static code analysis on Python code
 pylint: $(PYSOURCES)
@@ -145,7 +144,7 @@
 
 ## testcov                : run the cwlupgrader test suite and collect coverage
 testcov: $(PYSOURCES)
-	python setup.py test --addopts "--cov" ${PYTEST_EXTRA}
+	python -m pytest --cov ${PYTEST_EXTRA}
 
 sloccount.sc: $(PYSOURCES) Makefile
 	sloccount --duplicates --wide --details $^ > $@
@@ -175,7 +174,8 @@
 
 release: release-test
 	. testenv2/bin/activate && \
-		python testenv2/src/${MODULE}/setup.py sdist bdist_wheel && \
+		pip install build && \
+		python -m build testenv2/src/${MODULE} && \
 		pip install twine && \
 		twine upload testenv2/src/${MODULE}/dist/* && \
 		git tag v${VERSION} && git push --tags

=== requirements.txt ===
ruamel.yaml >= 0.16.0, < 0.19
schema-salad

=== debian/changelog ===
cwl-upgrader (1.2.11-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * build-depend on pybuild-plugin-pyproject
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jan 2024 19:59:14 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST = cp -r {dir}/testdata {build_dir}
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/testdata

%:
	dh $@ --buildsystem=pybuild

## cwl-upgrader 1.2.12

=== Makefile ===
--- 
+++ 
@@ -165,7 +165,7 @@
 	shellcheck conformance-test.sh release-test.sh
 
 pyupgrade: $(PYSOURCES)
-	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	pyupgrade --exit-zero-even-if-changed --py39-plus $^
 	auto-walrus $^
 
 release-test: FORCE

=== debian/changelog ===
cwl-upgrader (1.2.12-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Dec 2024 01:36:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3,
  python3-pytest (>= 5.4) <!nocheck>,
  python3-pytest-cov <!nocheck>,

=== debian/tests/control ===
Test-Command:
 pytest-3
Depends:
 cwl-upgrader,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-pytest-xdist,

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/common-workflow-language/cwl-upgrader/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## cwl-upgrader 1.2.14

=== Makefile ===
--- 
+++ 
@@ -165,7 +165,7 @@
 	shellcheck conformance-test.sh release-test.sh
 
 pyupgrade: $(PYSOURCES)
-	pyupgrade --exit-zero-even-if-changed --py39-plus $^
+	pyupgrade --exit-zero-even-if-changed --py310-plus $^
 	auto-walrus $^
 
 release-test: FORCE

=== debian/changelog ===
cwl-upgrader (1.2.14-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * drop watch file: use upstream metadata instead
  * drop patch cherry-picked upstream, obsoleted by upstream changes
  * tighten build-dependency on python3-pytest
  * stop superfluously set fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * build-depend on python3-wheel
  * update git-buildpackage config: improve usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Jan 2026 18:05:36 +0100

cwl-upgrader (1.2.12-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to stop using the deprecated pkg_resources;
    closes: bug#1083350, thanks to Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 20:34:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: cwl-upgrader
 Section: science
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3,
- python3-pytest (>= 5.4) <!nocheck>,
+ python3-pytest (<< 10) <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-runner <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-ruamel.yaml,
  python3-schema-salad,
  python3-setuptools,
-Standards-Version: 4.6.2
+ python3-wheel,
+Standards-Version: 4.7.3
 Homepage: https://github.com/common-workflow-language/cwl-upgrader
 Vcs-Git: https://salsa.debian.org/debian/cwl-upgrader.git
 Vcs-Browser: https://salsa.debian.org/debian/cwl-upgrader
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: cwl-upgrader
